Bug 436683 - (xmltoman) Review Request: xmltoman - Scripts for converting XML to roff or HTML
Review Request: xmltoman - Scripts for converting XML to roff or HTML
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-09 06:02 EDT by Lubomir Kundrak
Modified: 2016-08-14 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-12 16:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-09 06:02:44 EDT
SPEC: http://people.redhat.com/lkundrak/SPECS/xmltoman.spec
SRPM: http://people.redhat.com/lkundrak/SRPMS/xmltoman-0.3-1.fc8.src.rpm

Description: Scripts for converting XML to roff or HTML

This package provides xmltoman and xmlmantohtml scripts, to compile
the xml representation of manual page to either roff source, or HTML
(while providing the CSS stylesheet for eye-candy look). XSL stylesheet
for doing rougly the same job is provided.
Comment 1 Parag AN(पराग) 2008-03-12 00:15:05 EDT
From Guidelines,
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
You can see that we should preserve upstream files that we are only copying to
system.
So, I will leave this to you, If you want you can create a patch to Makefile and
add "-p" to install commands to preserve timestamps.

Other thing,
I didn't get this in spec
BuildRequires:  %{requires}

Comment 2 Lubomir Kundrak 2008-03-12 04:20:24 EDT
(In reply to comment #1)
> From Guidelines,
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-0239576e441f9ef53d175c4aec8c12868dffb5ab
> You can see that we should preserve upstream files that we are only copying to
> system.
> So, I will leave this to you, If you want you can create a patch to Makefile and
> add "-p" to install commands to preserve timestamps.

Sounds sane; I'll do that.

> Other thing,
> I didn't get this in spec
> BuildRequires:  %{requires}

I meant to say that runtime requires are equal to build time ones. Reason is
that the manual page for the program is created using the program itself.

But what's wrong with this is that I should leave to Requires generation to the
perl buildreqprov script; I'll fix that.

Expect new packages from me in few hours.
Comment 4 Lubomir Kundrak 2008-03-12 08:26:11 EDT
(btw I am wondering if I spelled your name correctly in the changelog -- I did
not copy the utf8 characters that were not preset in my font sets there)
Comment 5 Parag AN(पराग) 2008-03-12 08:38:55 EDT
(In reply to comment #4)
> (btw I am wondering if I spelled your name correctly in the changelog -- I did
> not copy the utf8 characters that were not preset in my font sets there)
Yup you wrote correct. :)
Comment 6 Parag AN(पराग) 2008-03-12 08:40:56 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=512670
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
30272d184b99f5920994bda9abe4baf7  xmltoman-0.3.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 7 Lubomir Kundrak 2008-03-12 09:36:07 EDT
New Package CVS Request
=======================
Package Name: xmltoman
Short Description: Scripts for converting XML to roff or HTML
Owners: lkundrak
Branches: (just devel)
Cvsextras Commits: yes

The reasoning of this being only for devel is that pulseaudio is going to depend
on it there, but older branches use pregenerated manual pages. It was the solemn
purpose of getting this in repos.
Comment 8 Kevin Fenzi 2008-03-12 13:20:25 EDT
cvs done.
Comment 9 Lubomir Kundrak 2008-03-12 16:28:36 EDT
Thanks for the review Parag,
thanks for the CVS module Kevin!
Comment 10 Lubomir Kundrak 2008-04-14 13:06:28 EDT
Package Change Request
======================
Package Name: xmltoman
New Branches: EL-5
Comment 11 Kevin Fenzi 2008-04-14 15:43:49 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.